package com.pmdm.navegacion.ui.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost

@Composable
fun NavHostEjemploBasico(
    navController: NavHostController
) {
    NavHost(
        navController = navController,
        startDestination = PantallaARoute
    ) {
        pantallaADestination(
            onNavigatePantallaB = {
                navController.navigate(PantallaBRoute)
            }
        )
        pantallaBDestination(
            onNavegarAtras = {
                navController.popBackStack()
            }
        )
    }
}